Bahmni 0.92 Install on CentOS 7.6 Minimal Fails

I found this thread very useful to getting my system up and running, but I am still facing a problem: My system: 0.92 on a Fresh CentOS 7.6 Minimal

I downgraded systemd and was able to get the bahmni install process to complete and the everything comes up.

HOWEVER, upon rebooting the machine, the services all show that they are up, but the webpages are inaccessible until I run bahmni install again (Page Timed Out).

I’ve tried bahmni stop and bahmni start, I’ve tried manually stopping and starting the services. None of that brings the web interface up. Please Help!

Immediately after reboot:

bahmni ~]# service --status-all
atomfeed-console is running with pid: 3570
Service bahmni-erp-connect is running with pid: 3526
Service bahmni-lab is running with pid: 3527
Service bahmni-reports is running with pid: 3529
Checking jexec statusnetconsole module not loaded
Configured devices:
lo ens160
Currently active devices:
lo ens160
mkdir: cannot create directory ‘odoo’: File exists
odoo-server is stopped
Service openmrs is running with pid: 3528

How long do you wait for it after boot? I was seeing a good 5 minutes on a vps when testing this, some cases even nearing 10 minutes.

Yes indeed. When you monitoring the cpu usage immediately after system up, it’s rise to 100% quickly for a couple of minutes. So my suggestion is, wait for the initialization of all the service to complete, at least the cpu usage was not 100% anymore, especailly if you put all bahmni component on a single machine.

Thanks. I hadn’t thought of that, but alas, that is not the problem. I wrote that message last night, and went to bed. The server has been running for 8 hours and the webpages are still reading “The connection has timed out”

When I re-run the install script the webpages come up within 1 minute of the script finishing.

I think this has to do with the init.d scripts. I edited all the ones I could to use runuser -r instead of su -s /bin/bash, but maybe there is one for the web server component that is still not running properly?

I’m a bit confused by the overall problem with the 0.92 installer on 7.6 minimal. Is it a problem with systemd version? or is it a problem with how the the scripts are being run as different users? or both? or …?

What logs can I post to help debug?

I think I found it!

My default CentOS 7.6 minimal install was running firewalld.service, but after running installer the firewall is being stopped but not disabled. I learned this by comparing the output of

systemctl status

from a fresh reboot and after running bahmni install

So, I added http and https to the firewall rule and I can access the webpages.
I guess alternatively I should disable the firewall, as I have a network level firewall.

If I leave the firewall open, are there any other ports or services that I need to open? Is there a way to tweak the bahmni install scripts to properly disable (or configure) the firewall?

List of ports depending on what you have:

Hi all. I have try to install Bahmni 0.92 on my CentOS 7.7 VPS and it’s fail at some point in the installation. here is the error:

Can someone help me?

1 Like

Refer to my post here >> Bahmni 0.92 ,pgdg-centos92-9.2-7.noarch.rpm deprecated.

pgdg-centos92-9.2-7.noarch.rpm is deprecated ,

override the default postgress rpm repo name in
/etc/bahmni-installer/setup.yml
with the latest available release

postgres_repo_rpm_name: pgdg-redhat-repo-latest.noarch.rpm

Thanks you. I already did that, and it’s work. But i get another error now: odoo service failed to start. I had already try what @bhiravabhatla suggested but it still not working.

Try this solution as shared by @mupagasi

please i need help installing bahmni 0.92 on digital oceanAnnotation 2020-05-31 065536

Hey @smokeakag Were you able to solve the issue?

Dear Bahmni Team,

We were able to setup bahmni 0.92 a month ago. However, now we are getting this issue (exact log as shared by @smokeakag ) while installing bahmni 0.92 on cent os… Could you please help us with this.

Kindly post the errorlog or the error screenshot for us to investigate this further.

@mksd Could you please help with this. The error log is as below

Please find attached the snapshot

Could anyone please have a look and guide us to fix the issue.

@angshuonline any ideas on these users issues?

reacting to this late, but did you guys find a solution? usually updating pip and subsequently installing click works

  1. update pip to 19.0.0
  2. uninstall click … like - pip uninstall click
  3. install click 7.0 – pip install click=7.0

@angshuonline I think I ran into an issue with my installation. I recently updated dmy system trying to install mysql workbench and now my EMR is not loading. OpenELIS and Odoo work fine

I have fixed this. I edited IPTables and changed default mysql port.